Subject: [netatalk-admins] Why do all Mac print requests go to LP ?

From: Karel Nolles <[email-masked]>
Date: Thu, 23 Dec 1999 11:52:06 +1100

Hi - I'm fairly new to the discussion list, and I'd appreciate a hand with
this.  (I have reviewed every piece of info I can find, and the only hint I
have found is an oblique reference that PAPD puts print requests directly to
the spool directory.  ???)

I am running RH 5.2, as a print server for a group of iMacs.

The linux box has 3 parallel ports, all with a printer - all print fine from
under Linux.  Two of the printers (a Laserjet - lp, and a Deskjet - lp0) are
shared to the mac network using PAPD.  However all print jobs from the Mac's
are put in the LP queue, regardless of which printer the Mac user selected.
(Using the Mac chooser the Macs can see the various printers).  That is, all
print jobs end up on the LaserJet.

I can't see why.  Any suggestions anyone?

My papd.conf file contains the following:

#
Laserjet:\
:pr=lp:pd=/root/aplwntr1.ppd:op=root:

HPDeskjet:\
:pr=lp0:pd=/root/aplwntr1.ppd:op=root:
#

--
My /etc/printcap contains the following:

##PRINTTOOL3## LOCAL ljet4 300x300 a4 {} LaserJet4 Default 1
lp:\
    :sd=/var/spool/lpd/lp:\
    :mx#0:\
    :sh:\
    :lp=/dev/lp1:\
    :if=/var/spool/lpd/lp/filter:
##PRINTTOOL3## LOCAL cdj550 300x300 a4 {} DeskJet550 3 1
lp0:\
    :sd=/var/spool/lpd/lp0:\
    :mx#0:\
    :sh:\
    :lp=/dev/lp0:\
    :if=/var/spool/lpd/lp0/filter:
##PRINTTOOL3## LOCAL ljet4 300x300 a4 {} LaserJet4 Default 1
lp2:\
    :sd=/var/spool/lpd/lp2:\
    :mx#0:\
    :sh:\
    :lp=/dev/lp2:\
    :if=/var/spool/lpd/lp2/filter:

---

-- 
(Mr.) Karel Nolles, Director Aton Consulting Pty Ltd
P.O. Box 539, North Ryde, NSW, 1670
Ph: +61 2 9887 4991  Fx: +61 2 9887 4013
www.aton.com.au  [email-masked]